DatabasePager File Reference
`#include <osg/NodeVisitor>`
`#include <osg/Group>`
`#include <osg/PagedLOD>`
`#include <osg/Drawable>`
`#include <osg/GraphicsThread>`
`#include <osg/FrameStamp>`
`#include <osg/ObserverNodePath>`
`#include <osg/observer_ptr>`
`#include <OpenThreads/Thread>`
`#include <OpenThreads/Mutex>`
`#include <OpenThreads/ScopedLock>`
`#include <OpenThreads/Condition>`
`#include <osgUtil/IncrementalCompileOperation>`
`#include <osgDB/SharedStateManager>`
`#include <osgDB/ReaderWriter>`
`#include <osgDB/Options>`
`#include <map>`
`#include <list>`
`#include <algorithm>`
`#include <functional>`

Go to the source code of this file.

## Classes

class | osgDB::DatabasePager
class | osgDB::DatabasePager::DatabaseThread
struct | osgDB::DatabasePager::PagedLODList
struct | osgDB::DatabasePager::DatabaseRequest
struct | osgDB::DatabasePager::RequestQueue
struct | osgDB::DatabasePager::ReadQueue

## Namespaces

namespace | osgDB

## Macros

#define | OSGDB_DATABASEPAGER 1

## Macro Definition Documentation

## OSGDB_DATABASEPAGER

#define OSGDB_DATABASEPAGER 1